Smart Proxy - Bug #5739

Host deletion finds irrelevant old leases
05/15/2014 04:23 PM - Greg Sutcliffe

Status: Closed

Priority: Normal

Assignee: Greg Sutcliffe

Category: DHCP

Target version: 1.5.1

Difficulty: Fixed in Releases:

Triaged: Found in Releases: 1.5.0
Bugzilla link: 1107691 Red Hat JIRA:

Pull request:

Description

With #5648's patch applied we correctly parse entries in the lease file in order. This causes issues with host deletion, as once a Host
boots at least once, it's lease will be after it's reservation in the leasefile. We need to only query reservations when deleting a Host,
as stale leases become irrelevant at that point.

Related issues:
Related to Smart Proxy - Bug #5648: DHCP lease reading is done in the wrong o... Closed 05/09/2014

Associated revisions

Revision ad2b4651 - 05/20/2014 10:25 AM - Greg Sutcliffe

Fixes #5739 - Only look at reservations when deleting a DHCP record

History

#1 - 05/15/2014 04:25 PM - Dominic Cleal
- Related to Bug #5648: DHCP lease reading is done in the wrong order added

#2 - 05/16/2014 02:50 PM - Dominic Cleal
- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/smart-proxy/pull/155

#3 - 05/19/2014 12:39 PM - Anonymous
- Target version changed from 1.8.3 to 1.8.2

#4 - 05/20/2014 10:27 AM - Dominic Cleal

- Assignee set to Greg Sutcliffe

#5 - 05/20/2014 10:52 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset ad2b4651b4b759f6c4c8454acf852cc541f2ec69.

#6 - 06/10/2014 12:49 PM - Bryan Kearney
- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1107691

05/11/2024 1/1



https://github.com/theforeman/smart-proxy/pull/155
https://projects.theforeman.org/projects/smart-proxy/repository/7/revisions/ad2b4651b4b759f6c4c8454acf852cc541f2ec69
http://www.tcpdf.org

